Skip to content

Run compliance scan

POST
/api/v1/compliance/scan

Perform a full compliance scan for the tenant.

Authorizations

Responses

200

Successful Response

Typed envelope for POST /scan.

object
data
required

Response body for a completed compliance scan.

Attributes: tenant_id: The tenant that was scanned. scan_date: Date the scan was performed. requirements_found: Number of regulatory requirements identified. alerts_generated: Number of alerts created from the scan. categories_scanned: List of compliance categories included in the scan.

object
alerts_generated
required

Number of alerts created from the scan

integer
categories_scanned
required

Compliance categories included in the scan

Array<string>
requirements_found
required

Number of regulatory requirements identified

integer
scan_date
required

Date the scan was performed

string format: date
tenant_id
required

Tenant that was scanned

string
meta
required

Standard metadata attached to every API response.

object
request_id
required

Unique request identifier

string
timestamp
required

Server timestamp of the response

string format: date-time